<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Mreklame extends CI_Model
{

    
    function __construct()
    {
        parent::__construct();
        $this->nip=$this->session->userdata('NIP');
    }

    // datatables
   
 
     function jsonreklame(){
        $t1  =$this->session->userdata('rek_bulan');
        $t2  =$this->session->userdata('rek_tahun');
        $gol =$this->session->userdata('golongan_reklame');
       // $wh ="MASA_PAJAK='$t1' AND TAHUN_PAJAK='$t2' ";
        $this->datatables->select("ID_INC,MASA_PAJAK,TAHUN_PAJAK,NPWPD,NAMA_WP,ALAMAT_WP, DPP,PAJAK_TERUTANG,GETTOTALREKLAME(ID_INC) AS TOTAL,STATUS");
        $this->datatables->from('SPTPD_REKLAME');
        //$this->datatables->where($wh);
        $this->db->order_by(" TAHUN_PAJAK DESC, MASA_PAJAK DESC,ID_INC DESC");
        $this->datatables->add_column('action', '<div class="btn-group">'.anchor(site_url('sptpdreklame/Reklame2/detail/$1'),'<i class="fa fa-binoculars"></i>','class="btn btn-xs btn-primary"').anchor(site_url('sptpdreklame/Reklame2/update/$1'),'<i class="fa fa-edit"></i>','class="btn btn-xs btn-success"').anchor(site_url('sptpdreklame/Reklame2/delete/$1'),'<i class="fa fa-trash"></i>','class="btn btn-xs btn-danger" onClick="return confirm(\'Apakah anda yakin?\')" ').'</div>', 'ID_INC');
        return $this->datatables->generate();
     }
     function jsonreklame_detail_temp(){
        $this->datatables->select("ID_INC,BERLAKU_MULAI,B.NAMAKEC,C.NAMAKELURAHAN,D.DESKRIPSI,LOKASI_PASANG, TEKS,P,L,S,JUMLAH,A.MASA,ROKOK,KETINGGIAN,PAJAK_TERUTANG");
        $this->datatables->from('SPTPD_REKLAME_DETAIL_TEMP A');
        $this->datatables->join('KECAMATAN B', 'A.KECAMATAN = B.KODEKEC');
        $this->datatables->join('KELURAHAN C', 'A.KELURAHAN = C.KODEKELURAHAN');
        $this->datatables->join('OBJEK_PAJAK D', 'A.GOLONGAN = D.ID_OP');
        $this->datatables->where("NIP='$this->nip'");
        $this->datatables->add_column('action', '<div class="btn-group">'.anchor(site_url('sptpdreklame/Reklame2/delete/$1'),'<i class="fa fa-trash"></i>','class="btn btn-xs btn-danger" id="deletetemp" data-id="$1" href="javascript:void(0)" ').'</div>', 'ID_INC');
        return $this->datatables->generate();
     }
     function jsonreklame_detail(){
        $id=$this->session->userdata('sptpdreklame_id');
        $this->datatables->select("ID_INC,BERLAKU_MULAI,B.NAMAKEC,C.NAMAKELURAHAN,D.DESKRIPSI,LOKASI_PASANG, TEKS,P,L,S,JUMLAH,A.MASA,ROKOK,KETINGGIAN,PAJAK_TERUTANG");
        $this->datatables->from('SPTPD_REKLAME_DETAIL A');
        $this->datatables->join('KECAMATAN B', 'A.KECAMATAN = B.KODEKEC');
        $this->datatables->join('KELURAHAN C', 'A.KELURAHAN = C.KODEKELURAHAN');
        $this->datatables->join('OBJEK_PAJAK D', 'A.GOLONGAN = D.ID_OP');
        $this->datatables->where("SPTPD_REKLAME_ID='$id'");
        $this->datatables->add_column('action', '<div class="btn-group">'.anchor(site_url('sptpdreklame/Reklame2/delete/$1'),'<i class="fa fa-trash"></i>','class="btn btn-xs btn-danger" id="delete" data-id="$1" href="javascript:void(0)"').'</div>', 'ID_INC');
        return $this->datatables->generate();
     }

     function getById($id){
        return $this->db->query("SELECT * FROM SPTPD_REKLAME WHERE ID_INC='$id'")->row();
     }
     function getKec(){
        return $this->db->query("SELECT * FROM KECAMATAN")->result();
     }
     function getGol(){
        return $this->db->query("SELECT * FROM OBJEK_PAJAK where ID_GOL='486'")->result();
     }

}

/* End of file Mmenu.php */
/* Location: ./application/models/Mmenu.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-04-08 05:30:09 */
/* http://harviacode.com */